jvx.math

## Class MathPickListener

- java.lang.Object
- - jvx.math.MathListener
  - - jvx.math.MathPickListener

- All Implemented Interfaces:
    PvPickListenerIf

      public class MathPickListener
      extends MathListener
      implements PvPickListenerIf

  Listener to receive pick events of the display to invoke Mathematica commands. The pick event contains information about the picked geometry, the picked geometry vertex and information about mouse position.

  See Also:
    `PvPickEvent`, `PvPickListenerIf`
  Author:
    Konrad Polthier
  Version:
    08.08.00, 1.10 revised (kp) Aynchronous mode added.
    27.07.00, 1.00 created (kp)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathPickListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragDisplay(PvPickEvent pos)` Drag a location in the display with 2d display and 3d world coordinates.
    `void` | `dragInitial(PvPickEvent pos)` Drag an arbitrary point along a geometry, point may lie inside an element.
    `void` | `dragVertex(PgGeometryIf geom, int index, PdVector vertex)` Drag a picked vertex of a geometry.
    `void` | `markVertices(PvPickEvent pos)` Mark a set of vertices of a geometry within a given bounding box.
    `void` | `pickDisplay(PvPickEvent pos)` Get a location in the display with 2d display and 3d world coordinates.
    `void` | `pickInitial(PvPickEvent pos)` Pick an arbitrary point on a geometry, point may lie inside an element.
    `void` | `pickVertex(PgGeometryIf geom, int index, PdVector vertex)` Get a picked vertex of a geometry.
    `void` | `selectGeometry(PgGeometryIf geom)` Currently not supported by display.
    `void` | `unmarkVertices(PvPickEvent pos)` Unmark a set of vertices of a geometry within a given bounding box.

    - ### Methods inherited from class jvx.math.MathListener

      `getHandler, getName, setHandler, setName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### MathPickListener

          public MathPickListener()

  - ### Method Detail

    - #### selectGeometry

          public void selectGeometry(PgGeometryIf geom)

      Currently not supported by display.
      Specified by:
        `selectGeometry` in interface `PvPickListenerIf`
      Parameters:
        `geom` - Now selected geometry of display.

    - #### pickDisplay

          public void pickDisplay(PvPickEvent pos)

      Get a location in the display with 2d display and 3d world coordinates. Point may be independent of any geometry.
      Specified by:
        `pickDisplay` in interface `PvPickListenerIf`
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### dragDisplay

          public void dragDisplay(PvPickEvent pos)

      Drag a location in the display with 2d display and 3d world coordinates. Point may be independent of any geometry.
      Specified by:
        `dragDisplay` in interface `PvPickListenerIf`
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### pickInitial

          public void pickInitial(PvPickEvent pos)

      Pick an arbitrary point on a geometry, point may lie inside an element.
      Specified by:
        `pickInitial` in interface `PvPickListenerIf`
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### dragInitial

          public void dragInitial(PvPickEvent pos)

      Drag an arbitrary point along a geometry, point may lie inside an element.
      Specified by:
        `dragInitial` in interface `PvPickListenerIf`
      Parameters:
        `pos` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### pickVertex

          public void pickVertex(PgGeometryIf geom,
                                 int index,
                                 PdVector vertex)

      Get a picked vertex of a geometry.
      Specified by:
        `pickVertex` in interface `PvPickListenerIf`
      Parameters:
        `geom` - Picked geometry on which vertex lies
        `index` - Index of vertex in vertex array of geometry
        `vertex` - 3d coordinates of vertex position
      See Also:
        `PvPickListenerIf`

    - #### dragVertex

          public void dragVertex(PgGeometryIf geom,
                                 int index,
                                 PdVector vertex)

      Drag a picked vertex of a geometry.
      Specified by:
        `dragVertex` in interface `PvPickListenerIf`
      Parameters:
        `geom` - Picked geometry on which vertex lies
        `index` - Index of vertex in vertex array of geometry
        `vertex` - 3d coordinates of vertex position

    - #### markVertices

          public void markVertices(PvPickEvent pos)

      Mark a set of vertices of a geometry within a given bounding box.
      Specified by:
        `markVertices` in interface `PvPickListenerIf`
      Parameters:
        `pos` - Contains mark box.

    - #### unmarkVertices

          public void unmarkVertices(PvPickEvent pos)

      Unmark a set of vertices of a geometry within a given bounding box.
      Specified by:
        `unmarkVertices` in interface `PvPickListenerIf`
      Parameters:
        `pos` - Contains mark box.

"

The software JavaView? is copyright protected. All Rights Reserved.
"